import * as langly from "langly";
import { Log } from "@payfunc/model-log";
export declare class IntergiroEntryTable {
  element: HTMLElement;
  t: langly.Translate;
  entries: Log.Entry[];
  opened: Record<number, string>;
  componentWillLoad(): void;
  toggleColumn(e: CustomEvent<{
    index: number;
    column: string;
  }>): void;
  render(): any[];
}
